GENTODC(1)

NAME
gentodc - ACR/NEMA DICOM PS3 ... Genesis to DICOM

SYNOPSIS

gentodc [ -ximg|-dat|-tape|-offset filehdr suitehdr examhdr serieshdr imghdr [-lengthpresent] ] [ -v|verbose ] inputfilename outputfilename

DESCRIPTION

gentodc reads the named gen input file and converts it to a dicom output file.

OPTIONS
The verbose output goes to standard error.

The basic switches are described in dcintro(1).

The options that select the header layout of the Advantage Windows file are as follows. Note that one must be specified and there is no default.

-ximg
    The input file is the output of the "ximg" extraction tool used to extract an image from the Genesis database. This is the "generic" form of the genesis file, with an initial file header that provides the locations of the other headers. This is the default if no format option is specified.

-dat|-tape
    The input file is from a tape or DAT archive. The Genesis database headers have been prepended to the file in the order suite/exam/series/image, then a file header (without valid pointers), and finally the pixel data. Note that the pixel data is preceded by a 4 byte length value that is skipped when this option is selected.

-offset filehdr suitehdr examhdr serieshdr imghdr
    The input file layout is explicitly specified by the byte offsets from 0 to the corresponding header.

-lengthpresent
    The image pixel data is preceded by a 4 byte length field that should be skipped. Only valid when the offsets are explicitly specified.

ENVIRONMENT

EXAMPLES

% gentodc -v test test.dc3
Converting ...
******** As read ... ********
(0x0008,0x0008) CS Image Type ...
******** As written ... ********
(0x0002,0x0001) OB File Meta Information Version ...
 ...

FILES

SEE ALSO
dcintro(1), gendump(1), gawtodc(1), gawdump(1)

AUTHOR
Copyright (C) 1993-2010. David A. Clunie DBA PixelMed Publishing. All rights reserved.

BUGS